com.orsoncharts.data.xyz

## Class XYZDatasetUtils

- java.lang.Object
- - com.orsoncharts.data.xyz.XYZDatasetUtils

-     public class XYZDatasetUtils
      extends java.lang.Object

  A collection of utility methods related to `XYZDataset`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYZDatasetUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XYZDataset` | `sampleFunction(Function3D f, java.lang.String key, double xmin, double xmax, double xcount, double zmin, double zmax, double zcount)` Creates an `XYZDataset` by sampling a `Function3D` over a specified range.
    `static XYZDataset` | `sampleFunction(Function3D f, java.lang.String key, Range xrange, double xcount, Range zrange, double zcount)` Creates an `XYZDataset` by sampling a `Function3D` over a specified range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYZDatasetUtils

          public XYZDatasetUtils()

  - ### Method Detail

    - #### sampleFunction

          public static XYZDataset sampleFunction(Function3D f,
                                                  java.lang.String key,
                                                  Range xrange,
                                                  double xcount,
                                                  Range zrange,
                                                  double zcount)

      Creates an `XYZDataset` by sampling a `Function3D` over a specified range.
      Parameters:
        `f` - the function (`null` not permitted).
        `key` - the series key (`null` not permitted).
        `xrange` - the range of x values (`null` not permitted).
        `xcount` - the number of x samples (must be at least 2).
        `zrange` - the range of z values (`null` not permitted).
        `zcount` - the number of z-samples (must be at least 2).
      Returns:
        A dataset containing sampled values from the function.

    - #### sampleFunction

          public static XYZDataset sampleFunction(Function3D f,
                                                  java.lang.String key,
                                                  double xmin,
                                                  double xmax,
                                                  double xcount,
                                                  double zmin,
                                                  double zmax,
                                                  double zcount)

      Creates an `XYZDataset` by sampling a `Function3D` over a specified range.
      Parameters:
        `f` - the function (`null` not permitted).
        `key` - the series key (`null` not permitted).
        `xmin` - the lower bound of the x-range.
        `xmax` - the upper bound of the x-range.
        `xcount` - the number of x samples (must be at least 2).
        `zmin` - the lower bound of the z-range.
        `zmax` - the upper bound of the z-range.
        `zcount` - the number of z-samples (must be at least 2).
      Returns:
        A dataset containing sampled values from the function.